Home | All Classes | Grouped Classes | Index | Search

# Class CL_FileDialog

File dialog component More...

Derived from: CL_Window
Derived by: none
Group: GUI (Controls)

#include <ClanLib/gui.h>

Construction:

CL_FileDialog | File dialog constructor
open | Open
save | Save

Attributes:

get_pressed_button | Return pressed button
get_file | Returns the selected file name.
get_filter | Returns the filter which the user has chosen in the file dialog.
get_dir | Returns the active directory in the file dialog.
get_path | Returns the active directory path in the file dialog.
is_hidden_files_visible | Returns true if hidden files are shown in the filedialog, else false.

Operations:

set_behavior | Set behavior of dialog
set_file | Sets the default selection to filename.
set_dir | Sets a directory path for the file dialog.
set_filter | Sets the filter to filter.
show_hidden_files | If enable is true, hidden files are shown in the filedialog, else no hidden files are shown.
refresh | Re-reads the active directory in the file dialog.

Signals:

sig_file_highlighted | This signal is emitted when the user highlights a file.
sig_file_selected | This signal is emitted when the user selects a file.
sig_dir_entered | This signal is emitted when the user has selected a new directory.

Detailed description:

!group=GUI/Controls! !header=gui.h!
Questions or comments, write to the ClanLib mailing list.